function hmm_mean_duration(hmm_dir)
% function hmm_mean_duration(hmm_dir)
%
% CVS_Version_String = '$Id: hmm_mean_duration.m,v 1.4 2003/11/04 10:34:05 tuerk Exp $';
% CVS_Name_String = '$Name: rel-1-4-01 $';

% ###########################################################
%
% This file is part of the matlab scripts of the MASV System.
% MASV = Munich Automatic Speaker Verification
%
% Copyright 2002-2003, Ulrich Trk
% Institute of Phonetics and Speech Communication
% University of Munich
% tuerk@phonetik.uni-muenchen.de
%
%
%   MASV is free software; you can redistribute it and/or modify
%   it under the terms of the GNU General Public License as published by
%   the Free Software Foundation; either version 2 of the License, or
%   (at your option) any later version.
%
%   MASV is distributed in the hope that it will be useful,
%   but WITHOUT ANY WARRANTY; without even the implied warranty of
%   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%   GNU General Public License for more details.
%
%   You should have received a copy of the GNU General Public License
%   along with MASV; if not, write to the Free Software
%   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
%
% ###########################################################



	dir_struct=dir(hmm_dir);

	for file_counter=1:length(dir_struct)
		if (dir_struct(file_counter).isdir)
			;
		else
			mmf_struct = mmf2matlab([hmm_dir dir_struct(file_counter).name]);
			dur = 0;
			for state=1:mmf_struct.A_size
				dur = dur + 1 / (1 - mmf_struct.A(state,state));
			end
			disp(['Model ' dir_struct(file_counter).name ': ' num2str(dur*10,3) ' ms']);
		end	
	end
