function return_value = plot_modelTraining_iterations(sv_system_name)
% function return_value = plot_modelTraining_iterations(sv_system_name)
%
% CVS_Version_String = '$Id: plot_modelTraining_iterations.m,v 1.5 2004/02/13 13:21:12 tuerk Exp $';
% CVS_Name_String = '$Name: rel-1-4-01 $';

% ###########################################################
%
% This file is part of the matlab scripts of the MASV System.
% MASV = Munich Automatic Speaker Verification
%
% Copyright 2002-2003, Ulrich Trk
% Institute of Phonetics and Speech Communication
% University of Munich
% tuerk@phonetik.uni-muenchen.de
%
%
%   MASV is free software; you can redistribute it and/or modify
%   it under the terms of the GNU General Public License as published by
%   the Free Software Foundation; either version 2 of the License, or
%   (at your option) any later version.
%
%   MASV is distributed in the hope that it will be useful,
%   but WITHOUT ANY WARRANTY; without even the implied warranty of
%   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%   GNU General Public License for more details.
%
%   You should have received a copy of the GNU General Public License
%   along with MASV; if not, write to the Free Software
%   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
%
% ###########################################################



	 SR_lib;
	 
	 score_result_cell={};
	 
     for iteration = 5:15,
			iteration_str = num2str(iteration);
			
			system_string = ['run_HVite.pl -tc=all_training/aa ', sv_system_name, ' ', iteration_str]
			unix(system_string);
			system_string = ['run_HVite.pl -x -xc=all_test/aa  -tc=all_training/aa ', sv_system_name, ' ', iteration_str]
			unix(system_string);
			
			rs = calc_FR_FA(sv_system_name, 'dummy', 0, 0, 0,'simple world','without pauses');
			sr = calc_score_result(rs);
			score_result_cell{iteration} = sr;
			clear rs;
			clear sr;
	 end % for iteration

	 return_value = score_result_cell;

